Page MenuHomePhabricator

Image fixes
ClosedPublic

Authored by WyldBot on Apr 30 2019, 2:56 AM.

Details

Summary

Removed cropper tool, fixed ugly images, fixed image size problems
Informs user that additional images need to be added individually

Test Plan

Test the above

Diff Detail

Repository
rWCL Web Client
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

WyldBot edited the test plan for this revision. (Show Details)
CLOVIS added inline comments.
package-lock.json
1546

Should this really be in the Git? It's a very big file that looks more like a cache than anything. I don't know Angular so maybe that's normal but just to check

package-lock.json
1546

package-lock.json is from npm the file that locks the package.json to specific versions and paths to have the values retrieved from. The idea is that the build system uses the same resources than the developer.
NPM explicitly states that this file should be checked into vcs.

package-lock.json
1546

I'm however not rely convinced about that files usefulness.

2 features in one diff. Might want to split that up

  • Image fix
  • Scroll to top

Would prefer to keep it in 1 diff, this is a quick fix for minor problems.

Fixed scroll to top, added new image logic to avatar comp

2 features in one diff. Might want to split that up

  • Image fix
  • Scroll to top
This revision now requires changes to proceed.May 5 2019, 1:23 PM
WyldBot retitled this revision from Image fixes, and scroll to top to Image fixes.
Info-Screen added inline comments.
src/app/_dialogs/picture.dialog.component.ts
3

Does this really need to be of type any.

If there are no typings available, you might want to search for some at DefinitelyTyped.

src/app/_dialogs/pictures.dialog.component.ts
4

same as above

This revision now requires changes to proceed.May 10 2019, 9:24 PM
WyldBot marked 2 inline comments as done.

Theres no definitely typed package

This revision is now accepted and ready to land.May 12 2019, 2:35 PM
This revision was automatically updated to reflect the committed changes.